<?php
/**
 * jccReCaptcha Plugin for Joomla! 1.5
 * @author Júlio Oliveira
 * <b>info</b>: http://sistemasecia.freehostia.com or http://www.joomla.com.br
 *
 * It's based on 'OSTCaptcha', by CoolAcid, to easy its integration with yvcomment. 
 * 
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * @package		Joomla
 */
class plgSystemJCCReCaptcha extends JPlugin
{

        function display()
	{
		$plugin =& JPluginHelper::getPlugin('system', 'jccrecaptcha');
       		$params = new JParameter( $plugin->params );
		$publicKey = $params->get( 'publicKey' );
		$theme = $params->get( 'theme' );
		$lang = $params->get( 'lang' );
       
		// Configure as opções do Widget
		echo "<script type='text/javascript'> var RecaptchaOptions = { theme : '$theme', lang : '$lang' , tabindex : 0}; </script>";
	
		// To Render ReCaptcha Widget.
		require_once(dirname(__FILE__).DS.'reCaptchaPHP'.DS.'recaptchalib.php');// Lib for re-Captcha
		echo recaptcha_get_html( $publicKey ); 

		return true;
	}

	function confirm( $word )
	{
		$session =& JFactory::getSession();

		$plugin =& JPluginHelper::getPlugin('system', 'jccrecaptcha');
       		$params = new JParameter( $plugin->params );
		$privateKey = $params->get( 'privateKey' );
 		
		require_once(dirname(__FILE__).DS.'reCaptchaPHP'.DS.'recaptchalib.php'); // Lib for re-Captcha
		
		$resp = recaptcha_check_answer ( $privateKey, 
						 $_SERVER["REMOTE_ADDR"],
						 $_POST["recaptcha_challenge_field"],
						 $_POST["recaptcha_response_field"]);

		if ( $resp->is_valid ) 
		   return true;
		else
		   return false;  

	}

	// Function wrappers for TriggerEvent usage
	function onCaptcha_Display() {	
		return $this->display();	
	}

	function onCaptcha_confirm($word, &$return) {		
		$return = $this->confirm($word);
		return $return;
	}

}
